{ lib, ... }:

{
  profiles.default = {
    id = 42;
    isDefault = true;
    name = "default";
    containers = {
      personal = {
        id = 1;
        color = "blue";
        icon = "fingerprint";
        name = "transcaffeine.me";
      };
      finallycoffee = {
        id = 2;
        color = "purple";
        icon = "fingerprint";
        name = "finally.coffee";
      };
    };
    extensions = [
      "uBlock0@raymondhill.net"
      "uMatrix@raymondhill.net"
      "{c607c8df-14a7-4f28-894f-29e8722976af}"
      "default-theme@mozilla.org"
      "addon@darkreader.org"
      "@testpilot-containers"
      "protoots@trans.rights"
    ];
  };
}
